package Visual_DVM_2021.Passes.All;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.Visual.UI;
import Visual_DVM_2021.Passes.CurrentProjectPass;
public class CleanAnalyses extends CurrentProjectPass {
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return super.canStart(args) && (Global.mainModule.getSapfor() != null);
    }
    @Override
    protected void body() throws Exception {
        Global.mainModule.getSapfor().ResetAllAnalyses();
        target.CleanAnalyses();
        target.CreateParserOptionsDirs();
        target.ClearGCOV();
    }
    @Override
    protected void showDone() throws Exception {
        super.showDone();
        UI.getMainWindow().getProjectWindow().RefreshProjectFiles();
        UI.getMainWindow().getProjectWindow().ShowNoAnalyses();
        UI.getMainWindow().getProjectWindow().ShowProjectSapforLog();
        if (Global.mainModule.HasFile()) {
            Global.mainModule.getFile().form.ShowNoMessages();
            Global.mainModule.getFile().form.ShowNoAnalyses();
            Global.mainModule.getFile().form.ShowNoGCOVLog();
        }
    }
}